For the complete documentation index, see llms.txt. This page is also available as Markdown.

PII Scan

post

Scan for PII

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Query parameters
cardinality_checkbooleanOptional
data_scanbooleanRequired
localestringRequired
overwrite_previous_scansbooleanOptional
Body
allow_liststring[] · nullableOptionalDefault: null
deselected_entitiesstring[] · nullableOptionalDefault: null
Responses
204

PII scan started

No content

post/api/v1/pii_scan/{database_id}/start/
POST /api/v1/pii_scan/{database_id}/start/?data_scan=true&locale=text HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "allow_list": [
    "text"
  ],
  "deny_list": {
    "language": "text",
    "ad_hoc_recognizers": [
      {
        "name": "text",
        "deny_list": [
          "text"
        ]
      }
    ]
  },
  "deselected_entities": [
    "text"
  ]
}

No content

get

List of Allow/Deny options for PII Scan

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
engine_idstringRequired
Query parameters
deepScanbooleanOptional
localestringOptional
textPiibooleanOptional
Responses
200

Success: List of PII Scan options

application/json
get/api/v1/pii_scan/{engine_id}/recognizers/
GET /api/v1/pii_scan/{engine_id}/recognizers/ HTTP/1.1
Accept: */*
{
  "recognizers": [
    {
      "name": "text",
      "value": true
    }
  ]
}

Last updated

Was this helpful?